fr.enssat.BoulderDash.controllers

## Class RockfordUpdateController

- java.lang.Object
- - fr.enssat.BoulderDash.controllers.RockfordUpdateController

All Implemented Interfaces:
  java.lang.Runnable

    public class RockfordUpdateController
    extends java.lang.Object
    implements java.lang.Runnable

ElementPositionUpdateHelper Updates position of all elements displayed on the map, according to their next potential position. Each object has a weight, which is used to compare their power to destroy in the food chain. Sorry for that Darwinism.

Since:
  2015-06-19
Author:
  Colin Leverger <me@colinleverger.fr>

### Constructor Summary

Constructors
Constructor and Description
`RockfordUpdateController(LevelModel levelModel)` Class constructor

### Method Summary

Methods
`void` `moveRockford(int rockfordPositionX, int rockfordPositionY)` Moves Rockford
`void` `run()` Watches for elements to be moved

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RockfordUpdateController

    public RockfordUpdateController(LevelModel levelModel)

Class constructor

Parameters:
  `levelModel` - Level model

### Method Detail

#### run

    public void run()

Watches for elements to be moved

Specified by:
  `run` in interface `java.lang.Runnable`

#### moveRockford

    public void moveRockford(int rockfordPositionX,
                    int rockfordPositionY)

Moves Rockford

Parameters:
  `rockfordPositionX` - Next horizontal position on the grid
  `rockfordPositionY` - Next vertical position on the grid